wxWidgets: wxLZMAOutputStream Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Private Member Functions | List of all members
wxLZMAOutputStream Class Reference
Class List by Category » Archive support | Class List by Category » Streams

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/lzmastream.h>`

Inheritance diagram for wxLZMAOutputStream:
[legend]

## Detailed Description

This filter stream compresses data using XZ format.

XZ format uses LZMA compression, making it (significantly) more efficient than Gzip format used by wxZlibOutputStream. Output generated by this class is compatible with xz utilities working with .xz files and also supported by 7-Zip program, even though it is different from its native .7z format.

See Using LZMA compression with liblzma for information about liblzma, required in order to use this class.

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ , \ </></>

See also
  wxOutputStream, wxZlibOutputStream, wxLZMAInputStream

Since
  3.1.2

## Private Member Functions
| wxLZMAOutputStream (wxOutputStream &stream)
| Create compressing stream associated with the given underlying stream.
| wxLZMAOutputStream (wxOutputStream *stream)
| Create compressing stream associated with the given underlying stream and takes ownership of it.

## Additional Inherited Members
Public Member Functions inherited from wxFilterOutputStream
| wxFilterOutputStream (wxOutputStream &stream)
| Initializes a "filter" stream.
| wxFilterOutputStream (wxOutputStream *stream)
Public Member Functions inherited from wxOutputStream
| wxOutputStream ()
| Creates a dummy wxOutputStream object.
virtual | ~wxOutputStream ()
| Destructor.
virtual bool | Close ()
| Closes the stream, returning false if an error occurs.
virtual size_t | LastWrite () const
| Returns the number of bytes written during the last Write().
void | PutC (char c)
| Puts the specified character in the output queue and increments the stream position.
virtual wxFileOffset | SeekO (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position.
virtual wxFileOffset | TellO () const
| Returns the current stream position.
virtual wxOutputStream & | Write (const void *buffer, size_t size)
| Writes up to the specified amount of bytes using the data of buffer.
wxOutputStream & | Write (wxInputStream &stream_in)
| Reads data from the specified input stream and stores them in the current stream.
bool | WriteAll (const void *buffer, size_t size)
| Writes exactly the specified number of bytes from the buffer.
Public Member Functions inherited from wxStreamBase
| wxStreamBase ()
| Creates a dummy stream object.
virtual | ~wxStreamBase ()
| Destructor.
wxStreamError | GetLastError () const
| This function returns the last error.
virtual wxFileOffset | GetLength () const
| Returns the length of the stream in bytes.
virtual size_t | GetSize () const
| This function returns the size of the stream.
virtual bool | IsOk () const
| Returns true if no error occurred on the stream.
virtual bool | IsSeekable () const
| Returns true if the stream supports seeking to arbitrary offsets.
void | Reset (wxStreamError error=wxSTREAM_NO_ERROR)
| Resets the stream state.
bool | operator! () const
| Returns the opposite of IsOk().
Protected Member Functions inherited from wxOutputStream
size_t | OnSysWrite (const void *buffer, size_t bufsize)
| Internal function.
Protected Member Functions inherited from wxStreamBase
virtual wxFileOffset | OnSysSeek (wxFileOffset pos, wxSeekMode mode)
| Internal function.
virtual wxFileOffset | OnSysTell () const
| Internal function.

## Constructor & Destructor Documentation

## ◆ wxLZMAOutputStream() [1/2]

wxLZMAOutputStream::wxLZMAOutputStream | ( | wxOutputStream & | stream | ) |
| private

Create compressing stream associated with the given underlying stream.

This overload does not take ownership of the stream.

## ◆ wxLZMAOutputStream() [2/2]

wxLZMAOutputStream::wxLZMAOutputStream | ( | wxOutputStream * | stream | ) |
| private

Create compressing stream associated with the given underlying stream and takes ownership of it.

As with the base wxFilterOutputStream class, passing stream by pointer indicates that this object takes ownership of it and will delete it when it is itself destroyed.